Draft Clone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 5% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Menyplacering
Draft → Clone
Arbetsbänk(ar)
Draft, Arch
Standard genväg
None
Introducerad i version
-
Se även
Draft Scale


Description

The Draft Clone tool produces linked copies of a selected shape. This means that if the original object changes its shape and properties, all clones change as well. Nevertheless, each clone retains its unique position, rotation, and scale, as well as its view properties like shape color, line width, and transparency.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Clone next to the original object


How to use

  1. Select an object that you wish to clone.
  2. Press the Draft Clone.svg Draft Clone button.

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

There are no options for this tool. Either it works with the selected objects or not.

Properties

  • DATAObjects: specifies a list of base objects which are being cloned.
  • DATAScale: specifies the scaling factor for the clone, in each X, Y, and Z direction.
  • DATAFuse: if it is True and DATAObjects includes many shapes that intersect each other, the resulting clone will be fuse them together into a single shape, or make a compound of them. introduced in version 0.17

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Creates a cloned_object from obj, which can be a single object or a list of objects.
  • If given, delta is a FreeCAD.Vector that moves the new clone away from the original position of the base object.
  • If forcedraft is True, the resulting object will be a Draft clone, and not an Arch clone, even if obj is an Arch Workbench object.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Example:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg